from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC


class ServerSettings(ConfigurationModelABC):
    def __init__(
        self,
        id: int = None,
        message_delete_timer: int = None,
        notification_chat_id: int = None,
    ):
        ConfigurationModelABC.__init__(self)

        self._id: int = 0 if id is None else id
        self._message_delete_timer: int = 0 if message_delete_timer is None else message_delete_timer
        self._notification_chat_id: int = 0 if notification_chat_id is None else notification_chat_id

    @property
    def id(self) -> int:
        return self._id

    @property
    def message_delete_timer(self) -> int:
        return self._message_delete_timer

    @property
    def notification_chat_id(self) -> int:
        return self._notification_chat_id
